Docs

Get chargeback metrics

Returns timeseries data for chargebacks in a given date range.

GET /metrics/chargebacks

Returns timeseries data for chargebacks in a given date range. Trends have a daily granularity. Total number of chargebacks received for the period. Does not include pre-chargeback alerts or chargeback reversals.

When to and from are the same, returns an empty timeseries.

Requires metrics.read permission.

Query parameters

fromstring (date)required
Return data from a specific date. Pass an RFC 3339 full-date string. Interpreted at 00:00 UTC. Must be before or the same as to.
tostring (date)required
Return data up to a specific date. Pass an RFC 3339 full-date string. Interpreted as 00:00 UTC. Must be after or the same as from.

Response (200)

dataobjectrequired
Chargeback metrics timeseries with count for each datapoint.
timeseriesarrayrequired
Array of datapoints. Empty if to and from are the same.
timestampstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string for this datapoint.
countintegerrequired
Example: 0
Number of chargebacks for this datapoint.
starts_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string for when this timeseries starts (inclusive).
ends_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string for when this timeseries ends (exclusive).
intervalstringrequired
Granularity for this timeseries.
Values
  • day
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of the last successful data refresh for this metric.
metaobjectrequired
Information about this response.
request_idstringrequired
Example: b15ec92e-8688-40d4-a04d-f44cbec93355
Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.
Response
{
"data": {
"timeseries": [
{
"timestamp": "2025-09-01T00:00:00Z",
"count": 1
},
{
"timestamp": "2025-09-02T00:00:00Z",
"count": 2
},
{
"timestamp": "2025-09-03T00:00:00Z",
"count": 0
},
{
"timestamp": "2025-09-04T00:00:00Z",
"count": 1
}
],
"starts_at": "2025-09-01T00:00:00Z",
"ends_at": "2025-09-05T00:00:00Z",
"interval": "day",
"updated_at": "2026-03-03T06:30:32.811Z"
},
"meta": {
"request_id": "b93d9c94-c28f-4e5d-af2e-044854d7afe8"
}
}

Was this page helpful?